"""File containing component IDs for the Dash app."""

# HEADER
HELP_BUTTON_OPEN = "help-button-open"
HELP_BUTTON_CLOSE = "help-button-close"
HELP_MODAL = "help-modal"
HELP_TITLE = "help-title"

# ALERT
ALERT = "alert"
ALERT_DIV = "alert-div"
ALERT_BODY = "alert-body"
# ALERT STORES
ALERT_TIME_SERIES_CHART = "alert-time-series-chart"
ALERT_DISPLAY_RULES_FOR_SERIES = "alert-display-rules-for-series"
ALERT_GENERATE_MODEL = "alert-generate-model"
ALERT_SAVE_MODEL = "alert-save-model"
ALERT_PLOT_MODEL_RESULTS = "alert-plot-model-results"
ALERT_LOAD_RULESET = "alert-load-ruleset"
ALERT_EXPORT_TO_DB = "alert-export-to-db"
ALERT_MARK_OBS = "alert-mark-obs"
ALERT_LABEL_OBS = "alert-label-obs"
ALERT_LOAD_RULESET = "alert-load-ruleset"
ALERT_RUN_TRAVAL = "alert-run-traval"
ALERT_TAB_RENDER = "alert-tab-render"

# STORES
SELECTED_OSERIES_STORE = "selected-oseries-store"
PASTAS_MODEL_STORE = "pastas-model-store"
ACTIVE_TABLE_SELECTION_STORE = "qc-result-table-selection"
TRAVAL_RULESET_STORE = "traval-ruleset-values-store"
TRAVAL_RESULT_FIGURE_STORE = "traval-result-figure-store"
TRAVAL_RESULT_TABLE_STORE = "traval-result-table-store"

# DUPLICATE STORES
OVERVIEW_TABLE_SELECTION_1 = "overview-table-selection-1"
OVERVIEW_TABLE_SELECTION_2 = "overview-table-selection-2"
MODEL_SAVE_BUTTON_1 = "model-save-button-1"
MODEL_SAVE_BUTTON_2 = "model-save-button-2"
MODEL_RESULTS_CHART_1 = "model-results-chart-1"
MODEL_RESULTS_CHART_2 = "model-results-chart-2"
MODEL_DIAGNOSTICS_CHART_1 = "model-diagnostics-chart-1"
MODEL_DIAGNOSTICS_CHART_2 = "model-diagnostics-chart-2"
QC_DROPDOWN_ADDITIONAL_DISABLED_1 = "qc-dropdown-additional-disabled-1"
QC_DROPDOWN_ADDITIONAL_DISABLED_2 = "qc-dropdown-additional-disabled-2"
TRAVAL_RULES_FORM_STORE_1 = "traval-rules-form-store-1"
TRAVAL_RULES_FORM_STORE_2 = "traval-rules-form-store-2"
TRAVAL_RULES_FORM_STORE_3 = "traval-rules-form-store-3"
TRAVAL_RULES_FORM_STORE_4 = "traval-rules-form-store-4"
TRAVAL_RESET_RULESET_BUTTON_STORE_1 = "traval-reset-ruleset-button-store-1"
TRAVAL_RESET_RULESET_BUTTON_STORE_2 = "traval-reset-ruleset-button-store-2"
TRAVAL_RESET_RULESET_BUTTON_STORE_3 = "traval-reset-ruleset-button-store-3"
QC_RESULT_TABLE_STORE_1 = "qc-result-table-store-1"
QC_RESULT_TABLE_STORE_2 = "qc-result-table-store-2"
QC_RESULT_TABLE_STORE_3 = "qc-result-table-store-3"

# TABS
TAB_CONTAINER = "tab-container"
TAB_CONTENT = "tab-content"
TAB_OVERVIEW = "tab-overview"
TAB_MODEL = "tab-model"
TAB_QC = "tab-qc"
TAB_QC_RESULT = "tab-qc-result"

# OVERVIEW TAB
OVERVIEW_MAP = "overview-map"
OVERVIEW_TABLE = "overview-table"
LOADING_SERIES_CHART = "loading-series_chart"
SERIES_CHART = "series-chart"
OVERVIEW_CANCEL_BUTTON = "overview-cancel-button"

# MODEL TAB
MODEL_DROPDOWN_SELECTION = "model-dropdown-selection"
MODEL_DATEPICKER_TMIN = "model-datepicker-tmin"
MODEL_DATEPICKER_TMAX = "model-datepicker-tmax"
MODEL_GENERATE_BUTTON = "model-generate-button"
MODEL_SAVE_BUTTON = "model-save-button"
MODEL_RESULTS_CHART = "model-results-chart"
MODEL_DIAGNOSTICS_CHART = "model-diagnostics-chart"
MODEL_USE_ONLY_VALIDATED = "model-use-only-validated-checkbox"

# QC TAB
QC_DROPDOWN_SELECTION = "qc-dropdown-selection"
QC_DROPDOWN_ADDITIONAL = "qc-dropdown-additional"
LOADING_QC_CHART = "loading-qc-chart"
QC_CHART = "qc-chart"
TRAVAL_OUTPUT = "traval-output"
TRAVAL_RULES_FORM = "traval-rules-form"
TRAVAL_ADD_RULE_DROPDOWN = "traval-add-rule-dropdown"
TRAVAL_ADD_RULE_BUTTON = "traval-add-rule-button"
TRAVAL_LOAD_RULESET_BUTTON = "traval-load-ruleset-button"
TRAVAL_RESET_RULESET_BUTTON = "traval-reset-ruleset-button"
TRAVAL_EXPORT_RULESET_BUTTON = "traval-export-ruleset-button"
TRAVAL_EXPORT_PARAMETERS_CSV_BUTTON = "traval-export-parameters-csv-button"
DOWNLOAD_TRAVAL_RULESET = "download-traval-ruleset"
DOWNLOAD_TRAVAL_PARAMETERS_CSV = "download-traval-parameters-csv"
QC_RUN_TRAVAL_BUTTON = "qc-run-traval-button"
QC_CANCEL_BUTTON = "qc-cancel-button"
TRAVAL_FORM_ROW = "traval-form-row"
QC_COLLAPSE_BUTTON = "qc-collapse-button"
QC_COLLAPSE_CONTENT = "qc-collapse-content"
QC_DATEPICKER_TMIN = "qc-datepicker-tmin"
QC_DATEPICKER_TMAX = "qc-datepicker-tmax"
QC_RUN_ONLY_UNVALIDATED_CHECKBOX = "qc-run-only-on-unvalidated"
LOADING_QC_CHART_STORE_1 = "loading-qc-chart-store-1"
LOADING_QC_CHART_STORE_2 = "loading-qc-chart-store-2"
QC_CHART_STORE_1 = "qc-chart-store-1"
QC_CHART_STORE_2 = "qc-chart-store-2"

# QC RESULT TAB
QC_RESULTS_SHOW_ALL_OBS_SWITCH = "show-all-obs-switch"
QC_RESULT_TABLE = "qc-table"
QC_RESULT_EXPORT_CSV = "qc-result-export-csv"
QC_RESULT_EXPORT_DB = "qc-result-export-db"
QC_RESULT_CHART = "qc-result-chart"
DOWNLOAD_EXPORT_CSV = "download-export-csv"
QC_RESULT_LABEL_DROPDOWN = "qc-result-label-dropdown"
QC_RESULT_CLEAR_TABLE_SELECTION = "clear-table-selection-button"
QC_RESULT_MARK_OBS_BUTTONS = "qc-result-mark-obs-button"
QC_RESULT_TABLE_SELECT_ALL = "qc-result-table-select-all"
QC_RESULT_EXPORT_QC_STATUS_FLAG = "qc-result-export-qc-status-flag"
